#include<stdio.h>
#include<math.h>
main()
{
	int n,x,a[1000001],i,min,max,vreme=0,s1,s2;
	scanf("%d%d",&n,&x);
	
	for(i=0;i<n;i++)
	scanf("%d",&a[i]);
	
	min=a[0];
	max=a[0];
	for(i=0;i<n;i++)
	{
		if(a[i]>max)
		max=a[i];
		if(a[i]<min)
		min=a[i];
	}
	if(min>x)
	vreme=max-x;
	
	if(max<x)
	vreme=x-min;
	
	if(x>min && x<max)
	{
		s1=x-min;
		s2=max-x;
		if(s1<s2)
		vreme=2*s1+s2;
		if(s2<s1)
		vreme=2*s2+s1;
	}
	printf("%d",vreme);
}